package domain

type AlibabaHmMarketingItempoolAdditemCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步渠道配置     */
	ChannelConfigList *[]AlibabaHmMarketingItempoolAdditemChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaHmMarketingItempoolAdditemCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingItempoolAdditemCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAdditemCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingItempoolAdditemCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAdditemCommonActivityParam) SetByChannel(v bool) *AlibabaHmMarketingItempoolAdditemCommonActivityParam {
	s.ByChannel = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAdditemCommonActivityParam) SetChannelConfigList(v []AlibabaHmMarketingItempoolAdditemChannelConfig) *AlibabaHmMarketingItempoolAdditemCommonActivityParam {
	s.ChannelConfigList = &v
	return s
}
